Ir al contenido
Únase a Censys para un taller de caza de amenazas y una hora feliz. | 17 de abril en City Winery en Filadelfia | Inscríbase ahora
Blogs

El ataque FREAK

El martes 3 de marzo de 2015, los investigadores anunciaron una nueva vulnerabilidad SSL/TLS denominada ataque FREAK. Permite a un atacante interceptar conexiones HTTPS entre clientes y servidores vulnerables y obligarlos a utilizar un cifrado debilitado, que el atacante puede romper para robar o manipular datos sensibles. Este sitio se dedica a rastrear el impacto del ataque y a ayudar a los usuarios a comprobar si son vulnerables.

El ataque FREAK fue descubierto por Karthikeyan Bhargavan en el INRIA de París y el equipo miTLS. La divulgación posterior fue coordinada por Matthew Green. Para más detalles, véase este post de Matt Green, este sitio de los descubridores, este artículo del Washington Post y este post de Ed Felten.

¿Quién es vulnerable?

El ataque FREAK es posible cuando un navegador vulnerable se conecta a un servidor web susceptible, un servidor que acepta cifrado de "grado de exportación".

Servidores

Los servidores que aceptan suites de cifrado RSA_EXPORT ponen a sus usuarios en peligro ante el ataque FREAK. Mediante un escaneo a través de Internet, hemos estado realizando pruebas diarias de todos los servidores HTTPS en direcciones IP públicas para determinar si permiten este cifrado debilitado. Más de un tercio de todos los servidores con certificados de confianza para navegadores están en peligro.

Vulnerable actualmenteCambios desde el 3 de marzoServidores HTTPS en el primer millón de nombres de dominio de Alexa8,5%frente al 9,6%Servidores HTTPS con certificados de confianza del navegador6,5%frente al 36,7%Todos los servidores HTTPS11,8%frente al 26,3%.

Puede probar los servidores utilizando la herramienta SSL FREAK Check o la prueba de servidores SSL de Qualys SSL Labs, que también puede identificar otros problemas de seguridad.

Actualmente vulnerable Variación desde el 3 de marzo
Servidores HTTPS en los dominios Alexa Top 1 Million 8.5% frente al 9,6
Servidores HTTPS con certificados de confianza del navegador 6.5% frente al 36,7
Todos los servidores HTTPS 11.8% por debajo del 26,3

Clientes

Actualización (5 de marzo): Los navegadores son vulnerables al ataque FREAK debido a fallos que permiten a un atacante forzarlos a usar un cifrado débil de grado de exportación. Un ejemplo es el fallo de OpenSSL descrito en CVE-2015-0204, pero algunas otras bibliotecas TLS tienen problemas similares. Muchos más navegadores son vulnerables al ataque FREAK de lo que se pensaba inicialmente cuando se anunció el ataque, incluyendo:

Navegador vulnerable Estado
Internet Explorer Ya está disponible el parche - Aviso de seguridad
Chrome en Mac OS Parche ya disponible
Chrome en Android Parche ya disponible
Safari en Mac OS Parche ya disponible
Safari en iOS Ya está disponible el parche de iOS 8
Navegador de Android Parche ya disponible
Navegador Blackberry
Opera en Mac OS Parche ya disponible

Se sabe que Chrome para Windows y todas las versiones modernas de Firefox son seguros. Sin embargo, incluso si tu navegador es seguro, cierto software de terceros, incluyendo algunos productos antivirus y programas de adware, pueden exponerte al ataque interceptando las conexiones TLS desde el navegador. Si estás utilizando un navegador seguro pero nuestra prueba de cliente dice que eres vulnerable, esta es una causa probable. Puede comprobar si su navegador es vulnerable utilizando la prueba Qualys SSL Client Test.

Además de los navegadores, muchas aplicaciones móviles, sistemas integrados y otros productos de software también utilizan TLS. Estos también son potencialmente vulnerables si dependen de bibliotecas sin parches u ofrecen suites de cifrado RSA_EXPORT.

¿Qué debo hacer?

Si ejecuta un servidor ...

Deberías deshabilitar inmediatamente el soporte para suites de cifrado de exportación TLS. Mientras estás en ello, también deberías deshabilitar otros conjuntos de cifrado que se sabe que son inseguros y habilitar el forward secrecy. Para obtener instrucciones sobre cómo proteger un software de servidor HTTPS popular, recomendamos la guía de configuración de seguridad de Mozilla y su generador de configuración SSL. También recomendamos probar la configuración con la herramienta Qualys SSL Labs SSL Server Test.

Si utiliza un navegador ...

Asegúrate de tener instalada la versión más reciente de tu navegador y busca actualizaciones con frecuencia. Las actualizaciones que corrigen el ataque FREAK deberían estar disponibles en breve para los principales navegadores.

Si eres administrador de sistemas o desarrollador...

Asegúrese de que las bibliotecas TLS que utiliza están actualizadas. OpenSSL sin parchear, Microsoft Schannel y Apple SecureTransport sufren la vulnerabilidad. Tenga en cuenta que estas bibliotecas son utilizadas internamente por muchos otros programas, como wget y curl. También debe asegurarse de que su software no ofrece suites de cifrado de exportación, incluso como último recurso, ya que pueden ser explotadas incluso si la biblioteca TLS está parcheada.

Soluciones de gestión de la superficie de ataque
Más información